/*******************************************************************************
 * FoxWeaponAttachment_TurretBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_TurretBase extends FoxWeaponAttachment
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

simulated function StartReloadAnim(optional byte FireMode)
{
    //return;    
}

defaultproperties
{
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_TurretBase.AttachmentMesh'
    Mesh=AttachmentMesh
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_TurretBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.86281930
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_TurretBase.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_TurretBase.AttachmentMesh'
    Components(0)=AttachmentMesh
}